<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="css/style2.css">
    <title>Tarea 3 CSS - Ejercicio 2</title>
  </head>
  <body>
    <h1>Tarea 3 CSS - Ejercicio 2</h1>

    <h2>Datos del libro</h2>

    <ul>
      <li>Autor: César Tomás</li>
      <li>Libro publicado: CSS mola</li>
      <li>Editorial: Marcombo</li>
      <li>Año de publicación: 2021</li>
      <li>ISBN: 978-84-267-2463-2</li>
      <li>Edición: 3ª Edición</li>
    </ul>
    <h2>Temática</h2>
    <ul>
      <li>Modelos de Caja Tradicional y Flexible</li>
      <li>Diseño Web Adaptable</li>
      <li>Video y Audio</li>
    </ul>
    <blockquote>
      <span id="tituloAngel">Edición original: publicada en inglés por Angel Berlanas con el título:</span><br />
       HTML is not a programming language, only paint and color.
    </blockquote>

    <h2>Introducción</h2>
    <h3>Internet</h3>
    <p>
      Internet se ha convertido en una parte esencial de nuestras vidas y la Web
      es la pieza central que conecta todas las tecnologías involucradas. Desde
      noticias y entretenimientos hasta aplicaciones móviles y videojuegos, todo
      gira en torno a la Web. Debemos acceder a un sitio web para abrir una
      cuenta por cada servicio que usamos, para conectar nuestras aplicaciones y
      dispositivos móviles entre sí, o para compartir la puntuación alcanzada en
      nuestro juego preferido. La Web es el centro de operaciones de nuestra
      actividad diaria, y <span class="lenguajes">HTML5</span> es lo que lo ha hecho posible.
    </p>

    <h3>HTML & CSS</h3>
    <p>
      Todo comenzó tiempo atrás con una versión simplificada de un lenguaje de
      programación llamado <span class="lenguajes">HTML</span>. El lenguaje, junto con identificadores y
      protocolos de comunicación, se concibió con el propósito de ofrecer la
      base necesaria para la creación de la Web. El propósito inicial del <span class="lenguajes">HTML</span>
      era estructurar texto para poder compartir documentos entre ordenadores
      remotos. Con el transcurso del tiempo, la introducción de mejores sistemas
      y pantallas de color obligaron al lenguaje a evolucionar y poder así
      trabajar con otros medios además de texto, como imágenes y tipos de letras
      personalizados. Esta expansión complicó el trabajo de los desarrolladores,
      a quienes les resultaba cada vez más difícil crear y mantener sitios web
      extensos usando solo <span class="lenguajes">HTML</span>. El problema se resolvió con la incorporación de
      un nuevo lenguaje llamado CSS, el cual permite a los desarrolladores
      preparar el documento que se va a presentar en pantalla.
    </p>

    <p class="especial1">
      La asociación entre <span class="lenguajes">HTML y CSS</span> simplificó el trabajo de los
      desarrolladores, pero la capacidad de estos lenguajes para responder al
      usuario o realizar tareas como la reproducción de vídeo o audio era aún
      muy limitada. <span class="lenguajes">JavaScript</span>, permitía a los desarrolladores acceder al
      contenido del documento y modificarlo de forma dinámica, solicitar datos
      adicionales desde el servidor, procesar información y mostrar los
      resultados en la pantalla, convirtiendo los sitios web en pequeñas
      aplicaciones. Originalmente, el rendimiento de los navegadores no era lo
      suficientemente bueno como para realizar algunas de estas tareas, pero con
      la incorporación de mejores intérpretes, los desarrolladores encontraron
      formas de aprovechar las capacidades de este lenguaje y comenzaron a crear
      aplicaciones útiles, confirmando a <span class="lenguajes">JavaScript</span> como la mejor opción para
      complementar <span class="lenguajes">HTML y CSS</span>.
    </p>

    <h3>HTML & CSS & JavaScript</h3>
    <p>
      Con la combinación de <span class="lenguajes"> HTML, CSS y JavaScript </span>, las tecnologías requeridas
      para construir la Web de las que disfrutamos hoy en día estaban listas,
      pero todavía existía un problema que resolver. Estos lenguajes habían sido
      desarrollados de forma independiente y, por lo tanto, seguían sus propios
      caminos, ajenos a los cambios presentados por los demás. La solución
      surgió con la definición de una nueva especificación llamada HTML5. HTML5
      unifica todas las tecnologías involucradas en el desarrollo web. A partir
      de ahora, <span class="lenguajes">HTML</span> se encarga de definir la estructura del documento, CSS
      prepara esa estructura y su contenido para ser mostrado en pantalla, y
      JavaScript introduce la capacidad de procesamiento necesaria para
      construir aplicaciones web completamente funcionales.
    </p>
    <p class="especial2">
      La integración entre <span class="lenguajes">HTML, CSS y JavaScript</span> bajo el amparo de HTML5 cambió
      la Web para siempre. De la noche a la mañana se crearon nuevas compañías
      basadas en aplicaciones web y mercados completos, lo que originó una era
      de oro para el desarrollo web. Implementando estas tecnologías, las
      oportunidades son infinitas. La Web está aquí para quedarse y tú puedes
      ser parte de ella.
    </p>
  </body>
</html>